subroutine no_opt(kk,compare_conv)    
use global
use subplex_global
use HyGSHP_calc
use HyGSHP_calc_down
use HyGSHP_calc_conv
use global_print
implicit none  
    
    integer :: i,runs,k,ii,kk,compare_conv
    real(DP) :: in(10),LCC,totallength,size_tower,ct1,ct2,ghx1,tpc,dtpc,vars(7)
                      
    namelist /opt_zero_design_conv/ totallength,size_tower,ct1,ct2,ghx1,tpc,dtpc,Qset_ratio
    namelist /opt_zero_design_hybrid/ totallength,size_tower,ct1,ct2,ghx1,tpc,dtpc,Qset_ratio
    
    if(conv == 1)then                                 
        open(unit = 1,file = "..\..\namelist_files\op_set.txt")
        read(1,nml = opt_zero_design_conv)
        close(1)     
    else
        open(unit = 1,file = "..\..\namelist_files\op_set.txt")
        read(1,nml = opt_zero_design_hybrid)
        close(1) 
    endif

    in(1) = totallength
    in(2) = size_tower
    in(3) = ct1
    in(4) = ct2
    in(5) = ghx1
    in(6) = tpc
    in(7) = dtpc
    in(8) = Qset_ratio

    if((kk == 1).and.(compare_conv == 1))then
        call file_names(kk)
    else
        call file_names
    endif

    if(conv == 1)then   
        call HyGSHP_sub_conv(in,LCC)
    elseif(downstream == 0)then
        call HyGSHP_sub(in,LCC)
    else
        call HyGSHP_sub_down(in,LCC)
    endif

end subroutine no_opt  